### Property

# Adw BottomSheet:modal

since: 1.6

#### Declaration

    property modal: gboolean [ read, write ]

#### Description [src]

Whether the bottom sheet is modal.

When modal, `AdwBottomSheet:content` will be dimmed when the bottom sheet is open, and clicking it will close the bottom sheet. It also cannot be focused with keyboard.

Otherwise, the content is accessible even when the bottom sheet is open.

Type:`gboolean`

Available since: 1.6

Default value | TRUE
Getter method | `adw_bottom_sheet_get_modal()`
Setter method | `adw_bottom_sheet_set_modal()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no